5.3.0-git
2014-09-24

[#11709] Re-activate favicon support
Summary Re-activate favicon support
Queue Trean
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-11-14 (679 days ago)
Due
Updated 2012-11-29 (664 days ago)
Assigned
Resolved 2012-11-29 (664 days ago)
Milestone 1.0.0
Patch No

History
2012-11-29 02:22:48 Chuck Hagenbuch Assigned to Chuck Hagenbuch
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2012-11-29 02:22:21 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 3d8ab1e8c49b4ef824ae8b777cc48d3a051e7871
Author: Chuck Hagenbuch <chuck@horde.org>
Date:   Wed Nov 28 21:19:39 2012 -0500

     Restore favicon support (Bug #11709)

  trean/favicon.php                           |   28 +++---
  trean/lib/Bookmark.php                      |   47 +++++---
  trean/lib/Bookmarks.php                     |   10 +-
  trean/lib/Queue/Task/Crawl.php              |   67 +++++++++--
  trean/lib/Queue/Task/Favicon.php            |  166 
+++++++++++++++++++++++++++
  trean/lib/Trean.php                         |   23 +---
  trean/migration/5_trean_add_favicon_url.php |   32 +++++
  7 files changed, 308 insertions(+), 65 deletions(-)

http://git.horde.org/horde-git/-/commit/3d8ab1e8c49b4ef824ae8b777cc48d3a051e7871
2012-11-23 22:45:08 Chuck Hagenbuch Comment #4 Reply to this comment
When doing this ticket, also take care of this from Bug #4969:

The old code stored one favicon for every bookmark. The new tables are 
designed to store one favicon for every unique favicon URL (so 
multiple bookmarks on the same site will share one favicon, and 
multiple users with the same bookmark will share one favicon).
2012-11-20 17:22:50 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 86f47ff4e2c17ea1d741befa51708728ab5ee061
Author: Jan Schneider <jan@horde.org>
Date:   Tue Nov 20 18:21:36 2012 +0100

     Use H5 libraries (Bug #11709).

  trean/bin/trean-url-checker |  235 
++++++++++++++++---------------------------
  1 files changed, 85 insertions(+), 150 deletions(-)

http://git.horde.org/horde-git/-/commit/86f47ff4e2c17ea1d741befa51708728ab5ee061
2012-11-19 18:53:56 michael (at) bigmichi1 (dot) de Comment #2 Reply to this comment
the script is broken for usage with pear in 1.0.0beta1

PHP Warning:   
require_once(/var/www/horde/pear/../lib/Application.php): failed to 
open stream: No such file or directory in 
/var/www/horde/pear/trean-url-checker on line 14
PHP Fatal error:  require_once(): Failed opening required 
'/var/www/horde/pear/../lib/Application.php' 
(include_path='.:/usr/share/php:/var/www/horde/pear/php') in 
/var/www/horde/pear/trean-url-checker on line 14

2012-11-14 22:56:07 Jan Schneider Milestone ⇒ 1.0.0
 
2012-11-14 22:55:56 Jan Schneider Comment #1
State ⇒ Assigned
Patch ⇒ No
Milestone ⇒
Assigned to Horde DevelopersHorde Developers
Queue ⇒ Trean
Summary ⇒ Re-activate favicon support
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
favicon.php is still there, but broken. Favicon fetching in 
trean-url-checker look good too, but the icon isn't stored in VFS 
anywhere.